//======================================================================
// 
// KeyTrap.h
// Written by Jon Daley for Carnegie-Mellon University, 05/27/1998
// See KeyTrap.C for copyright information and instructions on how to 
//   use this driver
//======================================================================

// Define the various device type values.  Note that values used by Microsoft
// Corporation are in the range 0-32767, and 32768-65535 are reserved for use
// by customers.
#define FILE_DEVICE_KEYTRAP	0x00008300
#define KEYTRAP_NAME			L"\\Device\\KeyTrap"
//
// Define scan codes of interest here. For scan code tables, see 
// "The Undocumented PC", by Frank Van Gullwe, Addison-Wesley 1994.
//

#define KEY_UP         1  
#define KEY_DOWN       0

#define charU			((USHORT)0x16)
#define charK			((USHORT)0x25)
#define charG			((USHORT)0x22)
#define charH			((USHORT)0x23)

#define LEFT_ALT		((USHORT)0x38)
#define LEFT_CTL		((USHORT)0x1d)
#define CAPS_LOCK		((USHORT)0x3A)

// Extended Keys
#define RIGHT_ALT		((USHORT)0x38)
#define RIGHT_CTL		((USHORT)0x1d)
#define LEFT_WINDOWS	((USHORT)0x5b)
#define RIGHT_WINDOWS	((USHORT)0x5c)
#define APPLICATION		((USHORT)0x5d)

#define ESC				((USHORT)0x1)
#define F12				((USHORT)0x58)
#define TAB				((USHORT)0xf)
#define DEL				((USHORT)0x53)
